Workflows Service, REST: Workflow.List
Retrieves list of Workflows in specified folder.
HTTP request
GET https://serverless-workflows.api.cloud.yandex.net/workflows/v1/workflow
Query parameters
|
Field |
Description |
|
folderId |
string Required field. ID of the folder to list Workflows in. |
|
pageSize |
string (int64) The maximum number of results per page to return. If the number of available |
|
pageToken |
string Page token. To get the next page of results, set |
|
filter |
string A filter expression that filters functions listed in the response.
|
Response
HTTP Code: 200 - OK
{
"workflows": [
{
"id": "string",
"folderId": "string",
"createdAt": "string",
"name": "string",
"description": "string",
"labels": "object",
"status": "string",
"logOptions": {
"disabled": "boolean",
// Includes only one of the fields `logGroupId`, `folderId`
"logGroupId": "string",
"folderId": "string",
// end of the list of possible fields
"minLevel": "string"
},
"networkId": "string",
"serviceAccountId": "string",
"express": "boolean",
"isPublic": "boolean",
"executionUrl": "string"
}
],
"nextPageToken": "string"
}
|
Field |
Description |
|
workflows[] |
List of Workflows. |
|
nextPageToken |
string Token for getting the next page of the list. If the number of results is greater than |
WorkflowPreview
|
Field |
Description |
|
id |
string Required field. ID of the Workflow. Generated at creation time. |
|
folderId |
string Required field. ID of the folder that the Workflow belongs to. |
|
createdAt |
string (date-time) Required field. Creation timestamp for the Workflow. String in RFC3339 text format. The range of possible values is from To work with values in this field, use the APIs described in the |
|
name |
string Required field. Name of the Workflow. The name is unique within the folder. |
|
description |
string Description of the Workflow. |
|
labels |
object (map<string, string>) Workflow labels as |
|
status |
enum (Status) Required field. Status of the Workflow.
|
|
logOptions |
Options for logging from the Workflow. |
|
networkId |
string ID of the VPC network Workflow will be executed in, in order to access private resources. |
|
serviceAccountId |
string ID of the Service Account which will be used for resources access in Workflow execution. |
|
express |
boolean Express execution mode. |
|
isPublic |
boolean Ability of the Workflow to be executed without authentication. |
|
executionUrl |
string Execution URL of the Workflow. |
LogOptions
|
Field |
Description |
|
disabled |
boolean Is logging from Workflow disabled. |
|
logGroupId |
string ID of the logging group which should be used for Workflows logs. Includes only one of the fields |
|
folderId |
string ID of the folder which default logging group should be used for Workflows. Includes only one of the fields |
|
minLevel |
enum (Level) Minimum logs level.
|